Skip to main content
`Ctrl`+`K`

# NEPGetSplitOperatorInfo

Returns the number of terms of the split form of the nonlinear operator, as well as the structure flag for matrices.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPGetSplitOperatorInfo(NEP nep,PetscInt *n,MatStructure *str)

Not Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## Output Parameters

- n - the number of terms passed in `NEPSetSplitOperator()`

- str - the matrix structure flag passed in `NEPSetSplitOperator()`

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSetSplitOperator()`, `NEPGetSplitOperatorTerm()`

## Level

intermediate

## Location

src/nep/interface/nepbasic.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages